package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag296;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT296Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT296Creator mt296Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt296Creator= (MT296Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt296Creator.getTransactionReferenceNumber();
        mt296Creator.set("20", tag20Value);
    }
}
